"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var typesafe_actions_1 = require("typesafe-actions");
var actions_1 = require("../actions");
var defaultState = {
    list: [],
    root: '/',
    content: '',
    error: null
};
function default_1(state, action) {
    if (state === void 0) { state = defaultState; }
    switch (action.type) {
        case typesafe_actions_1.getType(actions_1.files.cwd):
            return __assign({}, state, { root: action.payload });
        case typesafe_actions_1.getType(actions_1.files.request.ls.success):
            return __assign({}, state, { list: action.payload, error: null });
        case typesafe_actions_1.getType(actions_1.files.request.ls.failure):
            return __assign({}, state, { list: [], error: action.payload });
        case typesafe_actions_1.getType(actions_1.files.request.cat.success):
            return __assign({}, state, { content: action.payload });
        default:
            return state;
    }
}
exports.default = default_1;
//# sourceMappingURL=files.js.map